Update a brand's setting
Path parameters
idstringRequired
The id of the brand.
Header parameters
Brand-URLstringRequiredExample:
The brand URL of the request. This is used to identify the brand.
YOUR_BRAND_URLAuth-KeystringRequiredExample:
Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.
YOUR_AUTH_KEYBody
This class provides the Brand Setting Dto.
domainWhiteListURLsstring · nullableOptional
The domain white list URLs.
googleAnalyticsAccountstring · nullableOptionalDeprecated
The google analytics account.
reCaptchaKeystring · nullableOptionalDeprecated
The reCaptcha key.
currencyCodestring · nullableOptional
The currency code of the brand
cdnURLstring · nullableOptional
The cdn URL.
cdnFolderstring · nullableOptional
The cdn folder.
passwordPolicyLevelstring · enumRequiredPossible values:
This enum is used to define the password levels.
Responses
200
The request was successful.
application/json
401
The user is not authorized to access the requested resource. The request is missing the required Auth-Key header.
application/json
403
The user's access was denied.
application/json
429
API call exceeded rate limit due to too many requests.
application/json
put
/api/v1/brands/{id}/settingLast updated